package com.sunyard.chsm.constant;

/**
 * @author liulu
 * @since 2024/12/16
 */
public interface AuthCodeConst {

    // 密钥管理
    String key_info = "key_info";
    String key_list = "key_list";
    String key_create = "key_create";
    String key_update = "key_update";
    String key_enable = "key_enable";
    String key_disable = "key_disable";
    String key_archive = "key_archive";
    String key_destroy = "key_destroy";

    // 对称运算
    String sym_enc = "sym_enc";
    String sym_dec = "sym_dec";
    String cal_hmac = "cal_hmac";
    String check_hmac = "check_hmac";
    String cal_mac = "cal_mac";
    String check_mac = "check_mac";
    String gen_random = "gen_random";

    // 非对称运算
    String asym_enc = "asym_enc";
    String asym_dec = "asym_dec";
    String sign_raw = "sign_raw";
    String verify_raw = "verify_raw";
    String sign_p1 = "sign_p1";
    String verify_p1 = "verify_p1";
    String sign_P7Attach = "sign_P7Attach";
    String verify_P7Attach = "verify_P7Attach";
    String sign_P7Detach = "sign_P7Detach";
    String verify_P7Detach = "verify_P7Detach";
    String envelope_seal = "envelope_enc";
    String envelope_unseal = "envelope_dec";
    String signed_envelope_seal = "signed_envelope_enc";
    String signed_envelope_unseal = "signed_envelope_dec";

    String cal_hash = "cal_hash";

    // 证书
    String cert_info = "cert_info";
    String cert_exinfo = "cert_exinfo";
    String cert_check = "cert_check";
    String cert_upload = "cert_upload";
    String cert_remove = "cert_remove";
}
