package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class AsymSignRawReq {

    // 密钥ID
    @NotNull(message = "密钥ID不能为空")
    private Long keyId;

    // 原文,使用Base64编码
    @NotBlank(message = "明文不能为空")
    private String plainData;

    // 是否进行预处理 默认是
    private boolean preProcess = true;

    // 预处理的userId,使用Base64编码
    private String userId;
}
