package com.sunyard.chsm.param;

import lombok.Data;

/**
 * @author zyh
 * @since 2024/12/19
 */

@Data
public class CertInfoResp {

    /*
        证书主题
     */
    private String SubjectDN;

    /*
      证书颁发者
   */
    private String IssuerDN;

    /*
      证书序列号
   */
    private String SerialNumber;

    /*
      证书有效期
   */
    private String NotBefore;

    /*
      证书过期时间
   */
    private String NotAfter;

    /*
      证书签名算法
   */
    private String SigAlgName;

    /*
      证书公钥 hex格式
   */
    private String PublicKey;

    /*
       证书版本
    */
    private int Version;



}
