package com.sunyard.chsm.param;

import com.sunyard.chsm.enums.KeyCategory;
import com.sunyard.chsm.enums.KeyStatus;
import lombok.Data;

/**
 * @author liulu
 * @since 2024/12/17
 */
@Data
public class KeyInfoQuery {

    /**
     * 当前页
     */
    private int pageNumber = 1;
    /**
     * 每页大小
     */
    private int pageSize = 10;
    /**
     * 密钥状态
     */
    private KeyStatus status;
    /**
     * 密钥类型
     */
    private KeyCategory keyType;


}
